/**
 * Interface of the server (auto-generated code)
 */
import { z as zod } from "zod";

import {ZodUUID} from "./uuid";
import {ZodInteger} from "./integer";

export const ZodRestErrorResponse = zod.object({
	uuid: ZodUUID.optional(),
	name: zod.string(),
	message: zod.string(),
	time: zod.string(),
	status: ZodInteger,
	statusMessage: zod.string(),

});

export type RestErrorResponse = zod.infer<typeof ZodRestErrorResponse>;

export function isRestErrorResponse(data: any): data is RestErrorResponse {
	try {
		ZodRestErrorResponse.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodRestErrorResponse' error=${e}`);
		return false;
	}
}
