import { AudioPlayer } from '@/components/AudioPlayer';
import { ErrorBoundary } from '@/errors/ErrorBoundary';
import { AppRoutes } from '@/scene/AppRoutes';
import { ServiceContextProvider } from '@/service/ServiceContext';

export const App = () => {
  return (
    <ServiceContextProvider>
      <ErrorBoundary>
        <AppRoutes />
      </ErrorBoundary>
      <AudioPlayer />
    </ServiceContextProvider>
  );
};
