import { Navigate, Route, Routes } from 'react-router-dom';

import { Error404 } from '@/errors';
import { GenderDetailPage } from '@/scene/gender/GenderDetailPage';
import { GendersPage } from '@/scene/gender/GendersPage';

export const GenderRoutes = () => {
  return (
    <Routes>
      <Route path="/" element={<Navigate to="all" replace />} />
      <Route path="all" element={<GendersPage />} />
      <Route path=":genderId/*" element={<GenderDetailPage />} />
      <Route path="*" element={<Error404 />} />
    </Routes>
  );
};
