type ThemeModel = {
  50: string;
  100: string;
  200: string;
  300: string;
  400: string;
  500: string;
  600: string;
  700: string;
  800: string;
  900: string;
};
const isLightMode = false;
const reverseColor = (data: ThemeModel) => {
  return {
    50: data[900],
    100: data[800],
    200: data[700],
    300: data[600],
    400: data[500],
    500: data[400],
    600: data[300],
    700: data[200],
    800: data[100],
    900: data[50],
  };
};

const back = {
  50: '#ebf4fa',
  100: '#d1dbe0',
  200: '#b6c2c9',
  300: '#99aab4',
  400: '#7c939e',
  500: '#637985',
  600: '#4d5e67',
  700: '#37444a',
  800: '#1f292e',
  900: '#020f12',
};

const brand = {
  50: '#e3edff',
  100: '#b6c9fd',
  200: '#88a5f7',
  300: '#5a81f2',
  400: '#2c5ded',
  500: '#1543d4',
  600: '#0d34a5',
  700: '#062577',
  800: '#02164a',
  900: '#00071e',
};
const normalText = {
  50: '#f2f2f2',
  100: '#d9d9d9',
  200: '#bfbfbf',
  300: '#a6a6a6',
  400: '#8c8c8c',
  500: '#737373',
  600: '#595959',
  700: '#404040',
  800: '#262626',
  900: '#0d0d0d',
};

const green = {
  50: '#f0fdf4',
  100: '#dcfce7',
  200: '#bbf7d0',
  300: '#86efac',
  400: '#4ade80',
  500: '#22c55e',
  600: '#16a34a',
  700: '#15803d',
  800: '#166534',
  900: '#14532d',
};
const blue = {
  50: '#eff6ff',
  100: '#dbeafe',
  200: '#bfdbfe',
  300: '#93c5fd',
  400: '#60a5fa',
  500: '#3b82f6',
  600: '#2563eb',
  700: '#1d4ed8',
  800: '#1e40af',
  900: '#1e3a8a',
};

const orange = {
  50: '#fff7ed',
  100: '#ffedd5',
  200: '#fed7aa',
  300: '#fdba74',
  400: '#fb923c',
  500: '#f97316',
  600: '#ea580c',
  700: '#c2410c',
  800: '#9a3412',
  900: '#7c2d12',
};
const red = {
  50: '#fef2f2',
  100: '#fee2e2',
  200: '#fecaca',
  300: '#fca5a5',
  400: '#f87171',
  500: '#ef4444',
  600: '#dc2626',
  700: '#b91c1c',
  800: '#991b1b',
  900: '#7f1d1d',
};

export const colors = {
  // Update me with other Tailwind colors or with https://smart-swatch.netlify.app/

  brand: brand,
  back: back,
  text: normalText,
  /// ????
  success: green,
  error: red,
  warning: orange,
} as const;
